View Issue Details

IDProjectCategoryView StatusLast Update
0005985Talermerchant backend API (C)public2020-04-11 00:36
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritylowSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.7.1Fixed in Version0.7.1 
Summary0005985: implement long-polling for /public/poll-payment for refund status
DescriptionNeeds to be spec'ed as well, see also e77ad2d..c3c2342 in docs.git for a use-case (wallet waiting for auto-refund).
TagsNo tags attached.

Activities

Christian Grothoff

2020-04-10 23:25

manager   ~0015616

docs.git - 0271c2a..eddd862 adds the specification for long-polling for refunds.

Christian Grothoff

2020-04-10 23:26

manager   ~0015617

merchant.git - c22eb34..6d978ef implements long-polling for refunds. Not yet tested.

Christian Grothoff

2020-04-11 00:36

manager   ~0015618

Tested in 6d978ef..19c56c7

Issue History

Date Modified Username Field Change
2019-12-05 15:06 Christian Grothoff New Issue
2019-12-05 15:06 Christian Grothoff Status new => assigned
2019-12-05 15:06 Christian Grothoff Assigned To => Christian Grothoff
2020-04-10 23:25 Christian Grothoff Note Added: 0015616
2020-04-10 23:26 Christian Grothoff Note Added: 0015617
2020-04-11 00:36 Christian Grothoff Status assigned => resolved
2020-04-11 00:36 Christian Grothoff Resolution open => fixed
2020-04-11 00:36 Christian Grothoff Fixed in Version => 0.7.1
2020-04-11 00:36 Christian Grothoff Note Added: 0015618
2020-04-11 00:36 Christian Grothoff Product Version => git (master)
2020-04-11 00:36 Christian Grothoff Target Version => 0.7.1